<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "mybatis-3-mapper.dtd">
<mapper namespace="com.mortals.xhx.module.dept.dao.ibatis.DeptDaoImpl">

    <select id="queryDept" resultType="com.mortals.xhx.module.dept.model.DeptEntity">
        select * from mortals_xhx_dept where deptCode = #{deptCode}
    </select>
    <select id="queryDeptParient" resultType="com.mortals.xhx.module.dept.model.DeptEntity">
        select * from mortals_xhx_dept where deptCode = #{parentCode}
    </select>
    <select id="queryDeptParentId" resultType="integer">
        select parentId from mortals_xhx_dept where deptId = #{deptId}
    </select>
</mapper>